Commit 1f809317 authored by Amir Mohammadi's avatar Amir Mohammadi

[toolchain] update to toolchain 2.3.0, use -stdlib=libstdc++ flags

parent f137b163
Pipeline #7028 failed with stage
in 53 minutes and 31 seconds
......@@ -17,7 +17,7 @@ build:
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- zlib 1.2.8
- xz 5.2.2
- gcc 4.8.5 # [linux]
......
......@@ -9,11 +9,11 @@ source:
git_url: https://github.com/menpo/cyvlfeat.git
build:
number: 1
number: 2
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
- python
......
......@@ -13,12 +13,12 @@ source:
- int-real-conversion.patch
build:
number: 2
number: 3
skip: true # [linux]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- cmake
- python # [win]
- gcc 4.8.5 # [linux]
......
......@@ -11,11 +11,11 @@ source:
build:
skip: true # [win]
number: 3
number: 4
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- pkg-config
- libtool
- yasm
......
......@@ -10,12 +10,12 @@ source:
md5: 8985c9411fdb2178b89d3348da9a06b0
build:
number: 2
number: 3
skip: True # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
......
......@@ -10,12 +10,12 @@ source:
md5: 66268b92bda923735f2e3afc87dcb58a
build:
number: 2
number: 3
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
run:
......
......@@ -9,12 +9,12 @@ source:
md5: bb53fd06f7ebb74589e9dd684b1b66a6
build:
number: 2
number: 3
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- hdf5 1.8.17|1.8.17.*
- zlib 1.2.8
- gcc 4.8.5 # [linux]
......
......@@ -14,7 +14,7 @@ source:
- win32.patch # [win32]
build:
number: 2
number: 3
features:
- vc9 # [win and py27]
- vc10 # [win and py34]
......@@ -22,7 +22,7 @@ build:
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python # [win]
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
......
......@@ -12,12 +12,12 @@ source:
- no-matplotlib-pin.patch
build:
number: 3
number: 4
script: python setup.py install --single-version-externally-managed --record=record.txt
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
- python
......
......@@ -14,13 +14,13 @@ source:
- cap_mpjpeg_decoder.patch # [win]
build:
number: 3
number: 4
skip: true # [linux]
requirements:
build:
- python
- toolchain 2.2.0
- toolchain 2.3.0
# For sha256 comparisons of opencv_contrib
- openssl 1.0.* # [unix]
# For downloading opencv_contrib
......
......@@ -9,12 +9,12 @@ source:
md5: 1a71a66b016a02c721b5ae59c830bd4f
build:
number: 1
number: 2
script: python setup.py install --single-version-externally-managed --record=record.txt
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
- python
......
......@@ -10,13 +10,13 @@ source:
md5: d04fba2d9245e661f245de0577f48a33
build:
number: 4
number: 5
detect_binary_files_with_prefix: true
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- libpng 1.6.27
- zlib 1.2.8
- xz 5.2.2
......
......@@ -15,6 +15,9 @@ then
export LINKFLAGS="${LDFLAGS}"
# tell boost not to cxx11 refrenes
export CPPFLAGS="${CPPFLAGS} -DBOOST_NO_CXX11_RVALUE_REFERENCES"
export CFLAGS="${CFLAGS} -stdlib=libstdc++"
export CXXFLAGS="${CXXFLAGS} -stdlib=libstdc++"
export LDFLAGS="${LDFLAGS} -stdlib=libstdc++"
elif [ "$(uname)" == "Linux" ]
then
# for Linux
......
package:
name: toolchain
version: 2.2.0
version: 2.3.0
build:
number: 0
......
......@@ -16,7 +16,7 @@ source:
- vs2010_path.patch # [win64 and py34]
build:
number: 2
number: 3
features:
- vc9 # [win and py27]
- vc10 # [win and py34]
......@@ -24,7 +24,7 @@ build:
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python # [win]
test:
......
......@@ -10,12 +10,12 @@ source:
md5: cfd27222c7aa9983259ddb10f7f570a6
build:
number: 2
number: 3
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- yasm
- gcc 4.8.5 # [osx]
......
......@@ -15,11 +15,11 @@ source:
sha1: f7872c6db3b4d93fd5a51717364d438108473149 # [win64]
build:
number: 2
number: 3
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python # [unix]
test:
......
......@@ -10,12 +10,12 @@ source:
md5: ca260ad6e655d48d6d4f4cbd386a905d
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
md5: 585f810562651177e7e36dc15df4f156
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
md5: 954e71c130b4e4d77a0ec2a5f13e8bb6
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- cmake
......
......@@ -10,13 +10,13 @@ source:
url: https://pypi.io/packages/source/b/bob.db.atnt/bob.db.atnt-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
script: python -B setup.py install --single-version-externally-managed --record record.txt
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.db.base
......
......@@ -13,7 +13,7 @@ build:
entry_points:
- bob_new_version.py = bob.extension.scripts:new_version
- bob_dependecy_graph.py = bob.extension.scripts:dependency_graph
number: 1
number: 2
skip: true # [win]
requirements:
......@@ -36,7 +36,7 @@ test:
- numpy
- sphinx_rtd_theme
- sphinx
- toolchain 2.2.0
- toolchain 2.3.0
- gcc 4.8.5 # [linux]
- libgcc 4.8.5 # [linux]
......
......@@ -10,12 +10,12 @@ source:
md5: 6cc45a3d835492ab058b11b0e16fa160
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- scipy
......
......@@ -10,12 +10,12 @@ source:
md5: 1ad904bf9d5a689638fd978fc912967b
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.io.image/bob.io.image-{{ version }}.zip
build:
number: 2
number: 3
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
md5: ae93565327b168aad1e681477cc9e1f1
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -12,12 +12,12 @@ source:
build:
entry_points:
- bob_video_test.py = bob.io.video.script.video_test:main
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- pillow
......
......@@ -10,12 +10,12 @@ source:
md5: b2aa2cfd0ee9801f4190501f5c34b871
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- matplotlib
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.ip.color/bob.ip.color-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.ip.draw/bob.ip.draw-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension >2.0.4
......
......@@ -18,12 +18,12 @@ build:
- detect_faces.py = bob.ip.facedetect.script.detect_faces:main
- evaluate_detections.py = bob.ip.facedetect.script.evaluate:main
- plot_froc.py = bob.ip.facedetect.script.plot_froc:main
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.learn.boosting
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.ip.flandmark/bob.ip.flandmark-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
md5: 412844eccbc36c8a493f3846b6b8d736
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- matplotlib
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.ip.optflow.hornschunck/bob.ip.optflow.hornschunck-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -12,12 +12,12 @@ source:
build:
entry_points:
- bob_of_liu.py = bob.ip.optflow.liu.script.flow:main
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.learn.activation/bob.learn.activation-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension >2.0.4
......
......@@ -12,12 +12,12 @@ source:
build:
entry_points:
- boosting_example.py = bob.learn.boosting.examples.mnist:main
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- numpy
......
......@@ -10,12 +10,12 @@ source:
md5: 8e772b4f4c3f7e3b3ad28fc760f2a8b2
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.learn.libsvm/bob.learn.libsvm-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.learn.linear/bob.learn.linear-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension >2.0.4
......
......@@ -10,12 +10,12 @@ source:
url: https://pypi.io/packages/source/b/bob.learn.mlp/bob.learn.mlp-{{ version }}.zip
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension >2.0.4
......
......@@ -10,12 +10,12 @@ source:
md5: 02f27258a95220858bd16755359e4d15
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.core
......
......@@ -15,12 +15,12 @@ build:
- bob_eval_threshold.py = bob.measure.script.eval_threshold:main
- bob_apply_threshold.py = bob.measure.script.apply_threshold:main
- bob_plot_cmc.py = bob.measure.script.plot_cmc:main
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension
......
......@@ -10,12 +10,12 @@ source:
md5: 6ea7680028dcb01f386044aa130fac94
build:
number: 1
number: 2
skip: true # [win]
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension >2.0.4
......
......@@ -10,13 +10,13 @@ source:
md5: 997a1eeb86c524078ff3af504abb5754
build:
number: 1
number: 2
skip: true # [win]
script: python -B setup.py install --single-version-externally-managed --record record.txt
requirements:
build:
- toolchain 2.2.0
- toolchain 2.3.0
- python
- setuptools
- bob.extension ==2.3.3
......@@ -105,7 +105,7 @@ test:
- pkg-config
- freetype
- sphinx
- toolchain 2.2.0
- toolchain 2.3.0
about:
home: https://www.idiap.ch/software/bob/
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment